Setup
curl --request POST \
--url https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "<string>",
"url": "<string>"
}
'import requests
url = "https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks"
payload = {
"event": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event: '<string>', url: '<string>'})
};
fetch('https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "onboarding",
"url": "https://my-url.requestcatcher.com/test",
"created_at": "2024-01-15T10:30:00Z"
}
{
"success": false,
"error": {
"code": "invalid_url",
"message": "Webhook URL must use HTTPS protocol",
"field": "url"
}
}
{
"success": false,
"error": {
"code": "unauthorized",
"message": "Invalid API key provided"
}
}
Webhook
Setup
Register a webhook URL to receive automatic notifications about relevant events
POST
/
v2
/
register
/
companies
/
webhooks
Setup
Setup
The system allows the registration of webhook URLs to receive automatic notifications about relevant events. Webhook URL: HTTPS address where the events will be delivered.Supported events: onboarding, pix_key_payin
Notification format: JSON payload sent via HTTP request
Request method: All notifications will be sent exclusively using the POST method
Request Body
string
required
Type of event that will trigger the webhook.Allowed values:
onboarding, pix_key_payinonboarding: notifications about the account onboarding status.pix_key_payin: notifications about Payin credits received via Pix key.
pix_key_payinstring
required
Endpoint URL that will receive the webhook notifications for the selected event.URL characters:
a-z, A-Z charactersExample: https://my-url.com/testResponse
string
Type of event that will trigger the webhook.Allowed values:
onboarding, pix_key_payinExample: pix_key_payinstring
Endpoint URL that was registered to receive webhook notifications.Example:
https://my-url.requestcatcher.com/testRequest Example
Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
"event": "onboarding",
"url": "https://my-url.requestcatcher.com/test"
}'
const response = await fetch('https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks', {
method: 'POST',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
event: 'onboarding',
url: 'https://my-url.requestcatcher.com/test'
})
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.sandbox.wepayout.com.br/v2/register/companies/webhooks'
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
}
data = {
'event': 'onboarding',
'url': 'https://my-url.requestcatcher.com/test'
}
response = requests.post(url, json=data, headers=headers)
print(response.json())
{
"event": "onboarding",
"url": "https://my-url.requestcatcher.com/test",
"created_at": "2024-01-15T10:30:00Z"
}
{
"success": false,
"error": {
"code": "invalid_url",
"message": "Webhook URL must use HTTPS protocol",
"field": "url"
}
}
{
"success": false,
"error": {
"code": "unauthorized",
"message": "Invalid API key provided"
}
}
Webhook Payload
When an onboarding event occurs, a POST request will be sent to your webhook URL:{
"id": "1234-5678-90ab-cdef-1234567890ab",
"status": "active",
"updated_at": "2024-01-15T10:30:00Z",
"account_id": 123
}
The account_id is only returned the first time in the webhook when the status is active.
When the new Onboarding Documents Flow is enabled for a merchant, the payload for the
pending_documents status also includes a documents array with the documents the client must send.Your webhook endpoint must return a
200 OK status code to acknowledge receipt. If the endpoint fails or returns an error, delivery is retried up to 3 times, every 15 minutes.Was this page helpful?

